## r-bioc-rsamtools 2.16.0

=== DESCRIPTION ===
Package: Rsamtools
Type: Package
Title: Binary alignment (BAM), FASTA, variant call (BCF), and tabix
        file import
Description: This package provides an interface to the 'samtools',
    'bcftools', and 'tabix' utilities for manipulating SAM (Sequence
    Alignment / Map), FASTA, binary variant call (BCF) and compressed
    indexed tab-delimited (tabix) files.
biocViews: DataImport, Sequencing, Coverage, Alignment, QualityControl
URL: https://bioconductor.org/packages/Rsamtools
Video:
        https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
BugReports: https://github.com/Bioconductor/Rsamtools/issues
Version: 2.16.0
License: Artistic-2.0 | file LICENSE
Encoding: UTF-8
Authors@R: c(
    person("Martin", "Morgan", role = "aut"),
    person("Hervé", "Pagès", role = "aut"),
    person("Valerie", "Obenchain", role = "aut"),
    person("Nathaniel", "Hayden", role = "aut"),
    person("Busayo", "Samuel", role = "ctb",
        comment = "Converted Rsamtools vignette from Sweave to RMarkdown / HTML."),
    person("Bioconductor Package Maintainer",
        email = "maintainer@bioconductor.org", role = "cre"))
Depends: methods, GenomeInfoDb (>= 1.1.3), GenomicRanges (>= 1.31.8),
        Biostrings (>= 2.47.6), R (>= 3.5.0)
Imports: utils, BiocGenerics (>= 0.25.1), S4Vectors (>= 0.17.25),
        IRanges (>= 2.13.12), XVector (>= 0.19.7), zlibbioc, bitops,
        BiocParallel, stats
Suggests: GenomicAlignments, ShortRead (>= 1.19.10), GenomicFeatures,
        TxDb.Dmelanogaster.UCSC.dm3.ensGene,
        TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
        BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle, knitr
LinkingTo: Rhtslib (>= 1.99.3), S4Vectors, IRanges, XVector, Biostrings
LazyLoad: yes
SystemRequirements: GNU make
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/Rsamtools
git_branch: RELEASE_3_17
git_last_commit: 3eb6d03
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: yes
Packaged: 2023-04-25 22:33:46 UTC; biocbuild
Author: Martin Morgan [aut],
  Hervé Pagès [aut],
  Valerie Obenchain [aut],
  Nathaniel Hayden [aut],
  Busayo Samuel [ctb] (Converted Rsamtools vignette from Sweave to
    RMarkdown / HTML.),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-rsamtools (2.16.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 18:14:26 +0200

=== debian/control ===
Source: r-bioc-rsamtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-biostrings,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-xvector,
               r-bioc-zlibbioc,
               r-cran-bitops,
               r-bioc-biocparallel,
               r-bioc-rhtslib (>= 1.99.3),
               libcurl4-openssl-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
Homepage: https://bioconductor.org/packages/Rsamtools/
Rules-Requires-Root: no

Package: r-bioc-rsamtools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
 This package provides an interface to the 'samtools', 'bcftools', and
 'tabix' utilities for manipulating SAM (Sequence Alignment / Map),
 binary variant call (BCF) and compressed indexed tab-delimited (tabix)
 files.

## r-bioc-rsamtools 2.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 BugReports: https://github.com/Bioconductor/Rsamtools/issues
-Version: 2.16.0
+Version: 2.18.0
 License: Artistic-2.0 | file LICENSE
 Encoding: UTF-8
 Authors@R: c(
@@ -37,12 +37,12 @@
 SystemRequirements: GNU make
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_17
-git_last_commit: 3eb6d03
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: fbb12d4
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-04-25 22:33:46 UTC; biocbuild
+Packaged: 2023-10-24 22:49:38 UTC; biocbuild
 Author: Martin Morgan [aut],
   Hervé Pagès [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-rsamtools (2.18.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:27:13 +1100

r-bioc-rsamtools (2.18.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:57:43 +0000

r-bioc-rsamtools (2.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 11:30:31 +0100

r-bioc-rsamtools (2.16.0+dfsg-2) unstable; urgency=medium

  * Exclude another test trying to write to /usr/lib

 -- Andreas Tille <tille@debian.org>  Tue, 10 Oct 2023 08:07:13 +0200

r-bioc-rsamtools (2.16.0+dfsg-1) unstable; urgency=medium

  * Do not try to write data file on /usr/lib
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 09 Oct 2023 21:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-bioc-rsamtools
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r

## r-bioc-rsamtools 2.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 BugReports: https://github.com/Bioconductor/Rsamtools/issues
-Version: 2.18.0
+Version: 2.20.0
 License: Artistic-2.0 | file LICENSE
 Encoding: UTF-8
 Authors@R: c(
@@ -32,17 +32,18 @@
         TxDb.Dmelanogaster.UCSC.dm3.ensGene,
         TxDb.Hsapiens.UCSC.hg18.knownGene, RNAseqData.HNRNPC.bam.chr14,
         BSgenome.Hsapiens.UCSC.hg19, RUnit, BiocStyle, knitr
-LinkingTo: Rhtslib (>= 1.99.3), S4Vectors, IRanges, XVector, Biostrings
+LinkingTo: Rhtslib (>= 2.99.1), S4Vectors, IRanges, XVector, Biostrings
 LazyLoad: yes
 SystemRequirements: GNU make
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_18
-git_last_commit: fbb12d4
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: ae36384
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 22:49:38 UTC; biocbuild
+Packaged: 2024-05-01 05:45:04 UTC; biocbuild
 Author: Martin Morgan [aut],
   Hervé Pagès [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-rsamtools (2.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 20:48:52 +0200

r-bioc-rsamtools (2.20.0+dfsg-1~1exp) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 12:10:37 +0200

r-bioc-rsamtools (2.20.0+dfsg-1~0exq) experimental; urgency=medium

  * Team upload.
  * d/control: bump r-bioc-genomicranges version to a bioconductor 3.19+
    version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Jul 2024 13:37:14 +0200

r-bioc-rsamtools (2.20.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version. Closes: #1071346
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:28:21 +0200

=== debian/control ===
Source: r-bioc-rsamtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               dh-r,
               r-base-dev,
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-xvector (>= 0.44.0),
               r-bioc-zlibbioc (>= 1.50.0),
               r-cran-bitops,
               r-bioc-biocparallel (>= 1.38.0),
               r-bioc-rhtslib (>= 3.0.0),
               libcurl4-openssl-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
Homepage: https://bioconductor.org/packages/Rsamtools/
Rules-Requires-Root: no

Package: r-bioc-rsamtools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-xvector (>= 0.44.0),
         r-bioc-zlibbioc (>= 1.50.0),
         r-bioc-biocparallel (>= 1.38.0),
         r-bioc-rhtslib (>= 3.0.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-genomicalignments (>= 1.40.0),
          r-bioc-shortread (>= 1.62.0),
          r-bioc-genomicfeatures (>= 1.56.0),
          r-bioc-biocstyle (>= 2.32.1)
Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
 This package provides an interface to the 'samtools', 'bcftools', and
 'tabix' utilities for manipulating SAM (Sequence Alignment / Map),
 binary variant call (BCF) and compressed indexed tab-delimited (tabix)
 files.

## r-bioc-rsamtools 2.22.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Video:
         https://www.youtube.com/watch?v=Rfon-DQYbWA&list=UUqaMSQd_h-2EDGsU6WDiX0Q
 BugReports: https://github.com/Bioconductor/Rsamtools/issues
-Version: 2.20.0
+Version: 2.22.0
 License: Artistic-2.0 | file LICENSE
 Encoding: UTF-8
 Authors@R: c(
@@ -37,13 +37,13 @@
 SystemRequirements: GNU make
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/Rsamtools
-git_branch: RELEASE_3_19
-git_last_commit: ae36384
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 9c5d473
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 05:45:04 UTC; biocbuild
+Packaged: 2024-10-30 02:34:31 UTC; biocbuild
 Author: Martin Morgan [aut],
   Hervé Pagès [aut],
   Valerie Obenchain [aut],

=== debian/changelog ===
r-bioc-rsamtools (2.22.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 20:26:21 +0100

r-bioc-rsamtools (2.22.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:25:31 +0100

=== debian/control ===
Source: r-bioc-rsamtools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-biostrings,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-xvector,
               r-bioc-zlibbioc,
               r-cran-bitops,
               r-bioc-biocparallel,
               r-bioc-rhtslib (>= 2.99.1),
               architecture-is-64-bit,
               libcurl4-openssl-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rsamtools.git
Homepage: https://bioconductor.org/packages/Rsamtools/
Rules-Requires-Root: no

Package: r-bioc-rsamtools
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R binary alignment (BAM), variant call (BCF), or tabix file import
 This package provides an interface to the 'samtools', 'bcftools', and
 'tabix' utilities for manipulating SAM (Sequence Alignment / Map),
 binary variant call (BCF) and compressed indexed tab-delimited (tabix)
 files.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
 https://www.bioconductor.org/packages/release/bioc/html/Rsamtools.html .*/Rsamtools_([\d\.]+)\.tar\.gz
